diff --git a/src/backend/utils/adt/jsonpath_scan.l b/src/backend/utils/adt/jsonpath_scan.l
index 06efe0e6ab9..a3d893fa629 100644
--- a/src/backend/utils/adt/jsonpath_scan.l
+++ b/src/backend/utils/adt/jsonpath_scan.l
@@ -282,20 +282,20 @@ jsonpath_yyerror(JsonPathParseResult **result, const char *message)
 	}
 }
 
-typedef struct keyword
+typedef struct KeyWord
 {
 	int16		len;
 	bool		lowercase;
 	int			val;
-	const char	*keyword;
-} keyword;
+	const char *keyword;
+} KeyWord;
 
 /*
  * Array of key words should be sorted by length and then
  * alphabetical order
  */
 
-static const keyword keywords[] = {
+static const KeyWord keywords[] = {
 	{ 2, false,	IS_P,		"is"},
 	{ 2, false,	TO_P,		"to"},
 	{ 3, false,	ABS_P,		"abs"},
@@ -324,7 +324,7 @@ checkSpecialVal()
 {
 	int				res = IDENT_P;
 	int				diff;
-	const keyword  *StopLow = keywords,
+	const KeyWord  *StopLow = keywords,
 				   *StopHigh = keywords + lengthof(keywords),
 				   *StopMiddle;
 
